import request from '@/utils/request'

// 查询退款申请列表
export function listRefundApplication(query) {
  return request({
    url: '/system/refundApplication/list',
    method: 'get',
    params: query
  })
}

// 查询退款申请详细
export function getRefundApplication(applicationId) {
  return request({
    url: '/system/refundApplication/' + applicationId,
    method: 'get'
  })
}

// 新增退款申请
export function addRefundApplication(data) {
  return request({
    url: '/system/refundApplication',
    method: 'post',
    data: data
  })
}

// 修改退款申请
export function updateRefundApplication(data) {
  return request({
    url: '/system/refundApplication',
    method: 'put',
    data: data
  })
}

// 删除退款申请
export function delRefundApplication(applicationId) {
  return request({
    url: '/system/refundApplication/' + applicationId,
    method: 'delete'
  })
}
